﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebDataGrid.WebDropDown.Cascading.Default" %>

<%@ Register Assembly="Infragistics45.Web.v20.1, Version=20.1.20201.24, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics45.Web.v20.1, Version=20.1.20201.24, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics45.Web.v20.1, Version=20.1.20201.24, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>

<!DOCTYPE html>
<html>
<head runat="server">
    <title></title>
    <script type="text/javascript">
        function loadDropDownItems(sender, args) {
            if (args.getCell().get_column().get_key() == "Title") {
                var previousCell = args.getCell().get_row().get_cell(args.getCell().get_index() - 1);
                args.getEditor().loadItems(previousCell.get_text());
            }
        }

        function setInitialValue() {
            var gridBehaviors = $find("wdg").get_behaviors();
            var cell = gridBehaviors.get_activation().get_activeCell().get_row().get_cell(1);

            cell.set_value("(--Choose Product Name--)")
            gridBehaviors.get_editingCore().get_behaviors().get_cellEditing().enterEditMode(cell);

        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <ig:WebScriptManager ID="wsm" runat="server"></ig:WebScriptManager>
            <ig:WebDataGrid ID="wdg" runat="server" Height="350px" Width="700px" AutoGenerateColumns="False" DataKeyFields="BookId">
                <Columns>
                    <ig:BoundDataField DataFieldName="CategoryBook" Key="CategoryBook" Width="120px">
                        <Header Text="Category" />
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Title" Key="Title">
                        <Header Text="Title" />
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:EditingCore AutoCRUD="true">
                        <Behaviors>
                            <ig:CellEditing>
                                <CellEditingClientEvents EnteredEditMode="loadDropDownItems" />
                                <ColumnSettings>
                                    <ig:EditingColumnSetting ColumnKey="CategoryBook" EditorID="categoryBook_ddp" />
                                    <ig:EditingColumnSetting ColumnKey="Title" EditorID="title_ddp" />
                                </ColumnSettings>
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:Activation>
                    </ig:Activation>
                </Behaviors>
                <EditorProviders>
                    <ig:DropDownProvider ID="categoryBook_ddp">
                        <EditorControl ID="categoryBook_provider" runat="server" DropDownContainerHeight="90px"
                            DropDownContainerWidth="110px">
                            <ClientEvents SelectionChanged="setInitialValue" />
                        </EditorControl>
                    </ig:DropDownProvider>

                    <ig:DropDownProvider ID="title_ddp">
                        <EditorControl ID="title_provider" runat="server" DropDownContainerMaxHeight="200px"
                            OnItemsRequested="TitleProvider_ItemsRequested" CurrentValue="sadas" DropDownContainerWidth="530px">
                        </EditorControl>
                    </ig:DropDownProvider>
                </EditorProviders>
            </ig:WebDataGrid>
        </div>
    </form>
</body>
</html>